Skip to main content
`Ctrl`+`K`

# KSPGetErrorIfNotConverged

Will `KSPSolve()` generate an error if the solver does not converge?

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetErrorIfNotConverged(KSP ksp, PetscBool *flag)

Not Collective

## Input Parameter

- ksp - iterative solver obtained from KSPCreate()

## Output Parameter

- flag - `PETSC_TRUE` if it will generate an error, else `PETSC_FALSE`

## See Also

KSP: Linear System Solvers, `KSPSetErrorIfNotConverged()`, `KSP`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages